Bug 1544769

Summary: foremain-maintain should validate whether satellite is self registered or not, before starting upgrade.
Product: Red Hat Satellite Reporter: Ashish Humbe <ahumbe>
Component: Foreman MaintainAssignee: Swapnil Abnave <sabnave>
Status: ASSIGNED --- QA Contact: Jameer Pathan <jpathan>
Severity: medium Docs Contact:
Priority: high    
Version: 6.3.0CC: ahumbe, apatel, aupadhye, bkearney, inecas, jpathan, kgaikwad, ktordeur, rjerrido
Target Milestone: UnspecifiedKeywords: Triaged
Target Release: UnusedFlags: bkearney: needinfo? (apatel)
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ashish Humbe 2018-02-13 13:31:13 UTC
Description of problem:
From satellite v 6.3 onwards, we are not supporting self-registered satellite server, reference [1] and [2]

The foreman-maintain should add this check and notify the users accordingly in pre-upgrade check and ask customer follow upgrade steps for disconnected satellite server. 

It will be nice if we could point the KCS / Doc link for the disconnected upgrade. 

Version-Release number of selected component (if applicable):
Red Hat Satellite 6.3 Upgrade



[1] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3-beta/html/installation_guide/preparing_your_environment_for_installation#system_requirements

[2] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3-beta/html/upgrading_and_updating_red_hat_satellite/upgrading_red_hat_satellite#migrating_a_self_registered_satellite

Comment 2 Swapnil Abnave 2018-02-14 11:12:19 UTC
Hi Ashish,

We currently do raise a warning if the capsule is self-registered.

https://github.com/theforeman/foreman_maintain/blob/master/definitions/checks/system_registration.rb

So I suppose, the warning should actually be a `failure` and restrict user/admin from upgrading satellite or capsule.

And, this seems to be duplicate BZ https://bugzilla.redhat.com/show_bug.cgi?id=1545136.

Comment 3 Ashish Humbe 2018-02-14 11:15:22 UTC
Hi Swapnil,

Correct, the upgrade should fail and should not continue. 

Yeah BZ 1545136 is duplicate of this bugzilla, so we can keep only one. 

Regards,
Ashish

Comment 4 Swapnil Abnave 2018-02-14 11:17:31 UTC
*** Bug 1545136 has been marked as a duplicate of this bug. ***

Comment 5 Swapnil Abnave 2018-02-14 11:21:17 UTC
Created redmine issue http://projects.theforeman.org/issues/22578 from this bug

Comment 6 pm-sat@redhat.com 2018-02-14 13:28:55 UTC
Upstream bug assigned to apatel@redhat.com

Comment 8 pm-sat@redhat.com 2018-03-20 00:27:20 UTC
Upstream bug assigned to sabnave@redhat.com

Comment 9 pm-sat@redhat.com 2018-06-07 14:25:12 UTC
Upstream bug assigned to sabnave@redhat.com